<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
<meta charset="UTF-8" />
<title>Programming Example</title>
<link rel="stylesheet" href="/scoreboard.css" />
<script type="text/javascript" src="/js/scoreboard.js"></script>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
<script>
    $(document).ready(scoreboard = new Scoreboard('-', 'X', '/'))
</script>
</head>
<body>
	<h1>
		<span th:text="${appName}" />
	</h1>
	<a href="https://www.bowlinggenius.com/">Online Bowling App (for reference)</a><br>
	<a href="http://slocums.homestead.com/gamescore.html">The Basics of Keeping Score</a>
	<div>
		<table>
			<thead>
				<tr>
					<th>PLAYER</th>
					<th th:each="frame : ${frames}"<span
						th:text="${frame.value.id}" /></th>
					<th>TOTAL</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td id="single" class="myTableCell">SINGLE</td>
					<td class="myTableCell" th:each="frame : ${frames}"<div>
							<table>
								<tbody>
									<tr
										th:with="firstColId=${'1stCol_' + frame.value.id},
									secondColId=${'2ndCol_' + frame.value.id},
									thirdColId=${'3rdCol_' + frame.value.id}">
										<!--1st column-->
										<th th:id="${firstColId}" class="tableSubCell1stRoll"></th>
										<script type="text/javascript">scoreboard.present1stCol(
												[(${frame.value.isStrikeRolled()})],
												[(${frame.value.id==10})],
												[(${frame.value.pinsFirstRoll})],
												"[(${firstColId})]");</script>
												
										<!--2st column-->
										<th th:id="${secondColId}" class="tableSubCell"><script
												type="text/javascript">scoreboard.present2ndCol(
												[(${frame.value.isStrikeRolled()})],
												[(${frame.value.isSpareRolled()})],
												[(${frame.value.id==10})],
												[(${frame.value.pinsFirstRoll})], 
												[(${frame.value.pinsSecondRoll})],
												"[(${secondColId})]");
												</script></th>

										<!--3rd column of 10th frame-->
										<th th:id="${thirdColId}" th:if="${frame.value.id==10}"
											class="tableSubCell"><script
												type="text/javascript">scoreboard.present3rdCol(
												[(${frame.value.pinsThirdRoll})], 
												"[(${thirdColId})]");
												</script></th>
									</tr>
									<tr>
										<th colspan="2" class="tableSubCellScore"
											th:text="${frame.value.score}" />
									</tr>
								</tbody>
							</table>
						</div></td>
					<td class="myTableCell" th:text="${currTotal}" /></td>
				</tr>
			</tbody>
		</table>

		<form method="post" action="/pinsdown">
			<p>
				<input type="number" name="nbrOfPinsDown" min="0" max="10" />
			</p>
			<p>
				<span style="color: red;" th:text="${entryValidity}" />
			</p>
			<p>
				<input type="submit" value="Submit" /> <input type="reset"
					value="Reset Entry" />
			</p>
		</form>
		<form method="post" action="/initGame">
			<p>
				<input type="submit" value="Reset Game" />
			</p>
		</form>
		<form method="post" action="/restart">
			<p>
				<input type="submit" value="Restart App" />
			</p>
		</form>
	</div>
</body>
</html>